// check convergence

Info
<< "Initial residual for U = " << UEqnResidual << nl
<< "Initial residual for p = " << pEqnResidual << nl
<< "Initial residual for T = " << TEqnResidual << nl
<< endl;

if ((UEqnResidual < UConvergenceCriterion)
&& (pEqnResidual < pConvergenceCriterion)
&& (TEqnResidual < TConvergenceCriterion))
{
    Info<< "Reached convergence criterion." << endl;
    runTime.writeAndEnd();
    Info<< "latestTime = " << runTime.timeName() << endl;
}

